### Enumeration

# AppStream ProvidedKind

#### Declaration

    enum AppStream.ProvidedKind

#### Description [src]

Type of the public interface components can provide.

#### Members

`AS_PROVIDED_KIND_UNKNOWN`

  Unknown kind.

  - Value: `0`
  - Available since: 1.0
`AS_PROVIDED_KIND_LIBRARY`

  A shared library.

  - Value: `1`
  - Available since: 1.0
`AS_PROVIDED_KIND_BINARY`

  A binary installed into a directory in PATH.

  - Value: `2`
  - Available since: 1.0
`AS_PROVIDED_KIND_MEDIATYPE`

  Provides a handler for a mimetype.

  - Value: `3`
  - Available since: 1.0
`AS_PROVIDED_KIND_FONT`

  A font.

  - Value: `4`
  - Available since: 1.0
`AS_PROVIDED_KIND_MODALIAS`

  A modalias.

  - Value: `5`
  - Available since: 1.0
`AS_PROVIDED_KIND_PYTHON`

  A Python 3 module.

  - Value: `6`
  - Available since: 1.0
`AS_PROVIDED_KIND_DBUS_SYSTEM`

  A DBus service name on the system bus.

  - Value: `7`
  - Available since: 1.0
`AS_PROVIDED_KIND_DBUS_USER`

  A DBus service name on the user/session bus.

  - Value: `8`
  - Available since: 1.0
`AS_PROVIDED_KIND_FIRMWARE_RUNTIME`

  Firmware flashed at runtime.

  - Value: `9`
  - Available since: 1.0
`AS_PROVIDED_KIND_FIRMWARE_FLASHED`

  Firmware flashed permanently to the device.

  - Value: `10`
  - Available since: 1.0
`AS_PROVIDED_KIND_ID`

  An AppStream component.

  - Value: `11`
  - Available since: 1.0

#### Type functions

###### as_provided_kind_from_string

Converts the text representation to an enumerated value.

###### as_provided_kind_to_l10n_string

Converts the enumerated value to a localized text representation, using the plural forms (e.g. “Libraries” instead of “Library”).

###### as_provided_kind_to_string

Converts the enumerated value to a text representation.